#
# spec file for package perl-Config-AutoConf
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-AutoConf
Version:        0.315
Release:        lp152.3.2
%define cpan_name Config-AutoConf
Summary:        Module to Implement Some of Autoconf Macros in Pure Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-AutoConf/
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(Test::More) >= 0.9
Requires:       perl(Capture::Tiny)
Recommends:     perl(ExtUtils::CBuilder) >= 0.280220
Recommends:     perl(File::Slurp::Tiny)
%{perl_requires}

%description
Config::AutoConf is intended to provide the same opportunities to Perl
developers as at http://www.gnu.org/software/autoconf/ does for Shell
developers.

As Perl is the second most deployed language (mind: every Unix comes with
Perl, several mini-computers have Perl and even lot's of Windows machines
run Perl software - which requires deployed Perl there, too), this gives
wider support than Shell based probes.

The API is leaned against GNU Autoconf, but we try to make the API
(especially optional arguments) more Perl'ish than m4 abilities allow to
the original.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes GPL-1 README.md
%license ARTISTIC-1.0 LICENSE

%changelog
* Thu Aug  3 2017 coolo@suse.com
- updated to 0.315
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.315	2017-08-02
  - add check_builtin
  - perltidy code and add perltidy test (taken from MooX::Options)
  - ensure for many check_* methods that externally controlled
  ac_av_* environment variables are correctly passed into config.h
  - fix check_dirent_header to cache proving header and proving
  availability of 'DIR *' in such a header separately
* Fri Mar 31 2017 coolo@suse.com
- updated to 0.314
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.314	2017-03-30
  - _get_extra_linker_flags: add library dirs
* Tue Apr 12 2016 coolo@suse.com
- updated to 0.313
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.313	2016-04-11
  - release 0.312_001 without further changes
  0.312_001	2016-04-07
  - fix "check_member" test (RT#113271)
  - update Copyright notice
  - add license files
  - improve compile_if_else/link_if_else by proving whether object
  or binary file (compile result) exists
  - fix some typos and other POD quirks
  - Update README.md from updated POD
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.311
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.22
  - Flag some more tests as TODO.
  - Flag -lm tests as 'TODO' as they might fail in some Windows
    machines
  - Add stdint.h into check_default_headers
  - Make POD tests author only.
* Tue Feb 21 2012 coolo@suse.com
- initial package 0.19
  * created by cpanspec 1.78.06
